Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


Ejecución de programas de demostración de la biblioteca v4 de Android Support

Estoy interesado en ejecutar los proyectos de demostración de la biblioteca de soporte de Android para la biblioteca v4. Con el gestor de SDK de Android he instalado los complementos de Eclipse y las API de 2.2 a 4.0.1. Hay varios problemas involucrados, y el proyecto de ejemplo como se proporciona está lejos de funcionar en mi configuración, según lo descargado.

Para reproducir este error:

  • Instalar SDK y Eclipse Juno

  • Importe el proyecto de compatibilidad de muestra v4 utilizando Archivo -> Nuevo -> Nuevo proyecto y elija "de código existente", dirigiendo, por ejemplo, la carpeta Support4Demos en <Android-sdk-path>/extras/android/support

Introduzca aquí la descripción de la imagen

  • Abra el archivo AccessibilityManagerSupportActivity.java . Aparecen los siguientes errores.

Introduzca aquí la descripción de la imagen

  • Abra res/values-v11/styles.xml . Se producen los siguientes errores. Introduzca aquí la descripción de la imagen

¿Cómo me deshago de estos errores? También me gustaría entender por qué están apareciendo para poder arreglarlos en el futuro.

¡Gracias!

4 Solutions collect form web for “Ejecución de programas de demostración de la biblioteca v4 de Android Support”

La solución limpia es:

  • Haga clic con el botón secundario en su proyecto.
  • Elija "Herramientas de Android"
  • Seleccione "Agregar biblioteca de soporte".
  • Instale la biblioteca de soporte adecuada (la más reciente)

Realmente no puedo responderle por qué este problema ocurre, pero supongo que el equipo de Android no suministra la biblioteca de soporte de Android, porque está cambiando todo el tiempo, para no quedarse atascado en alguna versión anterior, quieren Nosotros para suministrarlo por nuestra cuenta.

Si los errores persisten o aparecen nuevos errores, haga clic con el botón derecho del ratón en el proyecto y elija "Herramienta Android" -> "Corregir propiedades del proyecto"

Actualización: En combinación con mi respuesta, la forma de eliminar el resto de los errores es importar el proyecto de otra manera que usted.

  • Seleccione Archivo -> Nuevo -> Otro
  • Haga clic en Siguiente
  • Escribir muestra de Android
  • Selecciona Android sample Project y haz clic en Next

Ahora agregue las bibliotecas de soporte de Android como se describió anteriormente. Sin embargo, obtendrá errores aún. Para solucionar estos problemas, haga lo siguiente:

  • Haga clic con el botón derecho del ratón en su proyecto y seleccione "Propiedades"
  • Selecciona Android
  • Seleccione una versión de SDK igual a 3,0 o superior
  • Seleccione Ok y limpie el proyecto del menú del proyecto.
  • Todo listo 😉

Ahora no podrá ejecutar el proyecto de ejemplo en dispositivos inferiores a Android 3.0. La razón es debido a algunas dependencias en algunos temas y ajustes, que no se añadió antes de Android 3.0 al parecer.

No tiene sentido por qué Google hizo esto, pero lo hicieron. Puede intentar eliminar las dependencias específicas del SDK +11 (Android 3.0), pero tomará algún tiempo, hay más errores de los que realmente se ven, especialmente en los archivos XML.

Tienes que añadir la biblioteca de soporte v4.

Para ello, siga estos pasos:

  • Seleccione su proyecto.
  • Haga clic en Proyecto en el menú.
  • Seleccione Propiedades .
  • Haga clic en Java Build Path .
  • Seleccione la ficha Bibliotecas .
  • Haga clic en Añadir JARs externos .
  • Seleccione el directorio principal del SDK de Android que ha instalado, luego vaya a extras -> android -> support -> v4 y, a continuación, seleccione android-support-v4.jar y haga clic en Abrir .
  • Haga clic en Aceptar .

Esto debería eliminar los errores.

Compruebe que su carpeta libs tiene android-support-v4.jar presente o no. Si no agrega este archivo jar en libs folder.Just copiar el android-support-v4.jar de cualquier proyecto y pegarlo en la carpeta libs de su proyecto

Pasé una noche entera en esto pero no puedo solucionar este problema. Finalmente resolví el por accidente: cambiar un archivo en la demo y guardar, a continuación, cambiar de nuevo, esto borró todos los errores. Creo que cuando se cambia algún archivo y guardar, eclipse construir el proyecto y generar el R.java.

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.